=== modified file 'bzrlib/smart/server.py'
--- bzrlib/smart/server.py	2011-01-27 15:58:36 +0000
+++ bzrlib/smart/server.py	2011-03-05 02:26:26 +0000
@@ -103,7 +103,7 @@
         # The URL that a commit done on the same machine as the server will
         # have within the servers space. (e.g. file:///home/user/source)
         # The URL that will be given to other hooks in the same process -
-        # the URL of the backing transport itself. (e.g. chroot+:///)
+        # the URL of the backing transport itself. (e.g. filtered-36195:///)
         # We need all three because:
         #  * other machines see the first
         #  * local commits on this machine should be able to be mapped to

=== modified file 'bzrlib/transport/__init__.py'
--- bzrlib/transport/__init__.py	2011-02-24 16:21:50 +0000
+++ bzrlib/transport/__init__.py	2011-03-05 02:55:29 +0000
@@ -1772,9 +1772,6 @@
 register_lazy_transport('memory://', 'bzrlib.transport.memory',
                         'MemoryTransport')
 
-# chroots cannot be implicitly accessed, they must be explicitly created:
-register_transport_proto('chroot+')
-
 register_transport_proto('readonly+',
 #              help="This modifier converts any transport to be readonly."
             )
@@ -1809,12 +1806,6 @@
 register_lazy_transport('nosmart+', 'bzrlib.transport.nosmart',
                         'NoSmartTransportDecorator')
 
-# These two schemes were registered, but don't seem to have an actual transport
-# protocol registered
-for scheme in ['ssh', 'bzr+loopback']:
-    register_urlparse_netloc_protocol(scheme)
-del scheme
-
 register_transport_proto('bzr://',
             help="Fast access using the Bazaar smart server.",
                          register_netloc=True)

=== modified file 'bzrlib/transport/http/wsgi.py'
--- bzrlib/transport/http/wsgi.py	2010-02-17 17:11:16 +0000
+++ bzrlib/transport/http/wsgi.py	2011-03-05 02:26:26 +0000
@@ -101,7 +101,7 @@
             backing_transport.  This is used to interpret relpaths received from
             the client.
         """
-        # Use a ChrootTransportDecorator so that this web application won't
+        # Use a ChrootServer so that this web application won't
         # accidentally let people access locations they shouldn't.
         # e.g. consider a smart server request for "get /etc/passwd" or
         # something.

